> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thinnest.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Tool

> Delete a custom tool

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.thinnest.ai/v2/tools/{agent_id}/{tool_id} \
    -H "Authorization: Bearer $THINNESTAI_API_KEY"
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.thinnest.ai/v2/tools/{agent_id}/{tool_id}"
  headers = {
      "Authorization": "Bearer " + "YOUR_THINNESTAI_API_KEY",
  }

  response = requests.delete(url, headers=headers)
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.thinnest.ai/v2/tools/{agent_id}/{tool_id}", {
    method: "DELETE",
    headers: {
      "Authorization": "Bearer " + "YOUR_THINNESTAI_API_KEY",
    },
  });

  const data = await response.json();
  console.log(data);
  ```

  ```go Go theme={null}
  package main

  import (
      "fmt"
      "io"
      "net/http"
  )

  func main() {
      req, _ := http.NewRequest("DELETE", "https://api.thinnest.ai/v2/tools/{agent_id}/{tool_id}", nil)
      req.Header.Set("Authorization", "Bearer YOUR_THINNESTAI_API_KEY")

      resp, err := http.DefaultClient.Do(req)
      if err != nil { panic(err) }
      defer resp.Body.Close()
      body, _ := io.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</RequestExample>

```http theme={null}
DELETE /v2/tools/{tool_id}
```

## Response

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "tool_abc123",
    "status": "deleted"
  }
  ```
</ResponseExample>
